LinuxConfiguration Class

Specifies the Linux operating system settings on the virtual machine. <br>>>:code:<br>For a list of supported Linux distributions, see Linux on Azure-Endorsed Distributions <https://docs.microsoft.com/azure/virtual-machines/linux/endorsed-distros>_<<.

Inheritance
LinuxConfiguration

Constructor

LinuxConfiguration(*, disable_password_authentication: Optional[bool] = None, ssh: Optional[azure.mgmt.compute.v2021_04_01.models._models_py3.SshConfiguration] = None, provision_vm_agent: Optional[bool] = None, patch_settings: Optional[azure.mgmt.compute.v2021_04_01.models._models_py3.LinuxPatchSettings] = None, **kwargs)

Parameters

disable_password_authentication
bool
Required

Specifies whether password authentication should be disabled.

ssh
SshConfiguration
Required

Specifies the ssh key configuration for a Linux OS.

provision_vm_agent
bool
Required

Indicates whether virtual machine agent should be provisioned on the virtual machine. <br>``<br> When this property is not specified in the request body, default behavior is to set it to true. This will ensure that VM Agent is installed on the VM so that extensions can be added to the VM later.

patch_settings
LinuxPatchSettings
Required

[Preview Feature] Specifies settings related to VM Guest Patching on Linux.